ubuntu-location-service: com::ubuntu::location::ProviderFactory Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Public Member Functions | Static Public Member Functions | List of all members
com::ubuntu::location::ProviderFactory Class Reference

`#include <provider_factory.h>`

Collaboration diagram for com::ubuntu::location::ProviderFactory:

## Public Types
typedef com::ubuntu::location::Configuration | Configuration
typedef std::function< Provider::Ptr(const Configuration &)> | Factory

## Public Member Functions
void | add_factory_for_name (const std::string &name, const Factory &factory)
Provider::Ptr | create_provider_for_name_with_config (const std::string &name, const Configuration &config)
void | create_provider_for_name_with_config (const std::string &name, const Configuration &config, const std::function< void(Provider::Ptr)> &cb)
void | enumerate (const std::function< void(const std::string &, const Factory &)> &enumerator)

## Static Public Member Functions
static ProviderFactory & | instance ()
static std::string | extract_undecorated_name (const std::string &name)

## Detailed Description

Definition at line 38 of file provider_factory.h.

## Member Typedef Documentation

## ◆ Configuration

typedef com::ubuntu::location::Configuration com::ubuntu::location::ProviderFactory::Configuration

Definition at line 41 of file provider_factory.h.

## ◆ Factory

typedef std::function<Provider::Ptr(const Configuration&)> com::ubuntu::location::ProviderFactory::Factory

Definition at line 42 of file provider_factory.h.

## Member Function Documentation

## ◆ add_factory_for_name()

void com::ubuntu::location::ProviderFactory::add_factory_for_name | ( | const std::string & | name,
|  | const Factory & | factory
| ) |  |

## ◆ create_provider_for_name_with_config() [1/2]

Provider::Ptr com::ubuntu::location::ProviderFactory::create_provider_for_name_with_config | ( | const std::string & | name,
|  | const Configuration & | config
| ) |  |

## ◆ create_provider_for_name_with_config() [2/2]

void com::ubuntu::location::ProviderFactory::create_provider_for_name_with_config | ( | const std::string & | name,
|  | const Configuration & | config,
|  | const std::function< void(Provider::Ptr)> & | cb
| ) |  |

## ◆ enumerate()

void com::ubuntu::location::ProviderFactory::enumerate | ( | const std::function< void(const std::string &, const Factory &)> & | enumerator | ) |

## ◆ extract_undecorated_name()

static std::string com::ubuntu::location::ProviderFactory::extract_undecorated_name | ( | const std::string & | name | ) |
| static

## ◆ instance()

static ProviderFactory& com::ubuntu::location::ProviderFactory::instance | ( |  | ) |
| static

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/provider_factory.h